﻿@charset "utf-8";
/*CSS Info ======================================================================
File Name: GitMap.css
Create Editor: Sophia
Create Date: 2016/11/15
Last Editor: Sophia
Last Date: 2018/09/19
Version： 5.2.0
---------------------------

	適用 RDW 風格地圖
    base on leaflet
    主要使用 Map Popup / InfoWin，非 jQuery UI 導向。
=================================================================================*/


/*#region  Scrollbar  */
/* width */
::-webkit-scrollbar {
    width: 6px;
}

/* Track */
::-webkit-scrollbar-track {
    background: rgb(241 241 241 / 0.42);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgb(136 136 136 / 0.77);
    border-radius: 5px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: rgb(85 85 85 / 0.89);
    }

/*#endregion */

/* #地圖 MyMap
================================================== */
.MapContainer {
    position: relative;
}

/*#region MyMap */
.MyMap {
    min-height: 500px;
    /*height: calc(100vh - 66px);*/
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    display: block;
    background-color: #D5E8EB;
}

@media only screen and (max-width: 47.9735em) {
    .MyMap {
        /*height: calc(100vh - 66px - 50px);
        min-height: calc(320px - 66px );*/
        height: 100vh;
        height: calc(var(--vh, 1vh) * 100);
        min-height: calc(320px -0px );
    }
}
/*#endregion */

.MapComponent {
    width: 100%;
    height: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 901;
    display: block;
}

/* #右側工具列與框格 Panel & Tools
================================================== */
/*#region MiniSideTool */
.MiniSideTool {
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    min-width: 64px;
    /*height: calc(100vh - 66px);*/
    min-height: 500px;
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    overflow-y: auto;
    z-index: 902;
}

/*#region ThemeMenu */
.ThemeMenu {
    float: right;
    width: 64px;
    height: 100%;
    display: block;
    background-color: #23AD9D;
}

    .ThemeMenu li {
        text-align: center;
        color: #FFF;
        font-size: 2rem;
        padding: 5px 0;
    }

        .ThemeMenu li a {
            color: #FFF;
        }

        .ThemeMenu li:hover {
            background-color: rgba(255, 255, 255, 0.16);
        }

        .ThemeMenu li span.Desc {
            font-size: 0.625rem;
            line-height: 1.5em;
            display: block;
        }

    .ThemeMenu .Title {
        margin-top: 5px;
    }

    .ThemeMenu li.Title:hover {
        background-color: transparent;
    }

    .ThemeMenu .Title .Circle {
        width: 3rem;
        height: 3rem;
        margin: 0 auto;
        line-height: 3rem;
        vertical-align: middle;
        display: block;
        background-color: #68C7A6;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }

    .ThemeMenu li.MobileShow {
        display: none;
    }
/*#endregion */
/*#region Themes */
.Themes {
    float: right;
    float: right;
    width: calc(320px - 32px - 4px);
    height: 100%;
    display: block;
    vertical-align: top;
    color: #FFF;
    background-color: #1A706B;
    margin-right: 2px;
    overflow-y: auto;
}

.MFHolder {
}

    .MFHolder h3 {
        color: #FFF;
        font-size: 1.25rem;
        text-align: left;
        margin: 10px 40px 10px 10px;
    }

        .MFHolder h3 i {
            margin-right: .5em;
        }

    .MFHolder .btnClose {
        text-align: right;
        display: block;
        margin-top: -3rem;
        margin-right: 10px;
        margin-bottom: 10px;
    }

        .MFHolder .btnClose .fa-circle {
            color: rgba(220, 220, 220, 0.35);
        }

        .MFHolder .btnClose a:hover .fa-circle {
            color: rgba(186, 186, 186, 0.35);
        }


    .MFHolder hr.break {
        border-top: none;
        border-bottom: 1px solid rgba(188, 223, 211, 0.27);
        padding: 0;
        margin: 0.75rem 0;
    }

    .MFHolder .MapToc {
    }

        .MFHolder .MapToc li {
            padding: 6px 6px 6px 12px;
            margin-bottom: 2px;
        }

            .MFHolder .MapToc li.break {
                border-bottom: 1px solid rgba(188, 223, 211, 0.27);
                padding: 0;
                margin: 6px 12px;
            }

            .MFHolder .MapToc li.Lyr:hover {
                /*background-color: rgba(255, 255, 255, 0.16);*/
                background-color: rgba(0, 0, 0, 0.16);
            }

        .MFHolder .MapToc input[type=checkbox ], .MFHolder .MapToc input[type=radio ] {
            position: absolute;
            left: -9999px;
        }



        .MFHolder .MapToc label {
            position: relative;
            font-size: 1rem;
            line-height: 1.5rem;
            margin: 0;
            vertical-align: top;
        }

            .MFHolder .MapToc label:before {
                content: "";
                background-color: rgba(255, 255, 255, 0.50);
                display: inline-block;
                position: absolute;
                left: -12px;
                top: -6px;
                width: 6px;
                height: 2.25rem;
            }

        .MFHolder .MapToc li.Lyr input[type=checkbox ]:checked ~ label:before, .MFHolder .MapToc li.Lyr input[type=radio ]:checked ~ label:before {
            background-color: #FFB297;
        }

        .MFHolder .MapToc label + .Desc {
            margin-top: 5px;
        }

        .MFHolder .MapToc .Desc {
            font-size: 0.75rem;
            line-height: 1.75em;
            color: #7db3b0;
        }

        .MFHolder .MapToc li.Lyr:hover .Desc {
            color: #78efe8;
        }

        .MFHolder .MapToc :not(.Lyr) .Desc {
            color: #cbcbcb;
        }

        .MFHolder .MapToc .Desc.DataTime i, .MFHolder .MapToc .Desc.Legend i {
            margin-right: .5em;
        }
/*#endregion */

@media only screen and (max-width: 47.9735em) {
    .MiniSideTool {
        min-width: 48px;
        /*height: calc(100vh - 66px - 50px);
        min-height: calc(320px - 66px );*/
        height: 100vh;
        height: calc(var(--vh, 1vh) * 100);
        min-height: calc(500px - 0px );
    }

    .ThemeMenu {
        width: 48px;
        overflow-y: auto;
    }

        .ThemeMenu li {
            font-size: 1.5rem;
            padding: 0.5rem 0;
        }

            .ThemeMenu li.MobileShow {
                display: block;
            }

            .ThemeMenu li span.Desc {
                font-size: 0.375rem;
                display: none;
            }

        .ThemeMenu .Title .Circle {
            width: 1.5rem;
            height: 1.5rem;
            line-height: 1.5rem;
        }




    .MFHolder {
        padding-bottom: 30px;
    }
}

@media only screen and (max-width: 30em) {
    .Themes {
        width: calc(100vw - 48px - 6px);
        min-width: 200px;
        max-width: calc(320px - 32px - 4px);
    }
}

/*#endregion */
/* #.QueryArea 
================================================== */
/*#region .QueryArea  */
.QueryArea {
}

    .QueryArea h4 {
        color: #FFF;
        font-size: 1.125rem;
        line-height: 2rem;
        padding: 0 0.25em;
        background-color: #0e403d3b;
        margin: 0.25rem 0 0.5rem 0;
    }



    .QueryArea h5 {
        color: #b0f0ec;
        font-size: 1rem;
        line-height: 1.5rem;
        margin: 0.75rem 0 0.25rem 0;
        text-indent: 0.5rem;
    }

    .QueryArea h4 + h5 {
        margin-top: 0.25rem;
    }

    .QueryArea h5:before {
        content: "";
        background-color: #0e403d;
        border-left: none;
        height: 6px;
        width: 6px;
        display: inline-block;
        border-radius: 50%;
        margin-right: 0.25rem;
        vertical-align: middle;
    }

    .QueryArea fieldset {
        margin-left: .5em;
        margin-right: .5em;
    }

        .QueryArea fieldset + fieldset {
            margin-top: .5rem;
        }

        .QueryArea fieldset + h4 {
            margin-top: 1rem;
        }

        .QueryArea fieldset .Legend {
            font-size: 0.875rem;
            margin-right: .25rem;
            font-weight: bold;
            display: inline-block;
            margin-bottom: .25rem;
        }

            .QueryArea fieldset .Legend.w5em {
                width: 5em;
            }

        .QueryArea fieldset .Ctrl .btn {
            color: #e4e3e3;
            background-color: transparent;
            border: 1px solid #cecdcd75;
            -webkit-border-radius: 4px;
            -moz-border-radius: 4px;
            border-radius: 4px;
            -webkit-transition: all .05s ease-out;
            -moz-transition: all .05s ease-out;
            -o-transition: all .05s ease-out;
            transition: all .05s ease-out;
        }

            .QueryArea fieldset .Ctrl .btn:hover {
                color: #FFF;
                background-color: #219089;
                border-color: #219089;
            }

    .QueryArea .Command .btn {
        width: 100%;
        color: #FFF;
        font-size: 1.25rem;
        line-height: 1.5rem;
        font-weight: bold;
        background-color: #155d58;
        border: 1px solid rgb(255 255 255 / 0.20);
        padding: 0 1rem;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border-radius: 4px;
        -webkit-transition: all .05s ease-out;
        -moz-transition: all .05s ease-out;
        -o-transition: all .05s ease-out;
        transition: all .05s ease-out;
    }

        .QueryArea .Command .btn:hover {
            background-color: rgb(21 91 87);
            border: 1px solid #155d58;
            -webkit-border-radius: 1.5rem;
            -moz-border-radius: 1.5rem;
            border-radius: 1.5rem;
        }

        .QueryArea .Command .btn:focus {
            outline: 3px dotted #FFCAB8;
            -webkit-transition: outline 0.15s linear;
            -moz-transition: outline 0.15s linear;
            -o-transition: outline 0.15s linear;
            transition: outline 0.15s linear;
        }


/*#region 表單類設定 */
.SetDate {
    width: 6rem;
}

.ShortNum {
    width: 3rem;
}
/*#endregion */
@media only screen and (max-width: 47.9735em) {
    .QueryArea h4 {
        font-size: 1rem;
        line-height: 1.5rem;
        margin: 0.125rem 0 0.5rem 0;
    }

    .QueryArea h5 {
        font-size: 1rem;
        line-height: 1.5rem;
        margin: 0.25rem 0;
    }
}
/*#endregion */

/* #fieldset.QueryTool
================================================== */
/*#region fieldset */
fieldset.QueryTool .Legend {
    color: #1B6561;
    font-size: 1.125rem;
    margin-right: 8px;
    font-weight: bold;
}

    fieldset.QueryTool .Legend i {
        color: #1B6561;
        font-size: 1.25rem;
        margin-right: 6px;
    }

    fieldset.QueryTool .Legend .Desc {
        font-weight: bold;
    }
/*#region MyGroupControls Round */
.MyGroupControls.Round label {
    color: #1B6561;
    border-color: #219089;
    background-color: rgba(255, 255, 255, 0.46);
    margin-right: 6px;
}

.MyGroupControls.Round input[type=radio]:checked + label {
    background-color: #219089;
}

.MyGroupControls.Round label:hover {
    background-color: #219089;
}

.MyGroupControls.Round input[type=radio]:checked + label {
    background-color: #219089;
}
/*#endregion */

/*#region MyGroupControls RoundBullet */
.MyGroupControls.RoundBullet label {
    font-size: 0.875rem;
    padding: 5px 0.75rem;
}

.MyGroupControls.RoundBullet input[type=radio]:checked + label {
    background-color: #219089;
}

.MyGroupControls.RoundBullet label {
    border-color: #219089;
    background-color: rgba(255, 255, 255, 0.66);
    color: #1B6561;
}

    .MyGroupControls.RoundBullet label:hover {
        background-color: #219089;
        color: #FFF;
    }
/*#endregion */

/*#region MyGroupControls ListBullet */
.MyGroupControls.ListBullet label {
    color: #e4e3e3;
    border-color: #cecdcd75;
    min-width: 7em;
}

    .MyGroupControls.ListBullet label:before {
        background: #cecdcd75;
    }

    .MyGroupControls.ListBullet label:hover {
        background-color: #219089;
    }

        .MyGroupControls.ListBullet label:hover:before, .MyGroupControls.ListBullet label:hover:after {
            background: rgb(252 252 252 / 0.86);
        }

.MyGroupControls.ListBullet input[type=radio]:checked + label {
    background-color: #219089;
    border-color: #219089;
}

    .MyGroupControls.ListBullet input[type=radio]:checked + label:after {
        background-color: #219089;
    }
/*#endregion */

/*#endregion */

/* #.ResultArea 
================================================== */
/*#region .ResultArea  */
.ResultArea {
}

    .ResultArea h4 {
        color: #FFF;
        font-size: 1.125rem;
        line-height: 2rem;
        padding: 0.25em 0.5em;
        background-color: #0e403d3b;
        margin: 0.25rem 0 0.5rem 0;
    }

        .ResultArea h4.fw-bold {
            font-weight: bold;
        }

        .ResultArea h4 i {
            color: #43A7A1;
        }

            .ResultArea h4 i.right {
                margin-left: 0.5em;
            }

        .ResultArea h4 .county {
            font-size: 0.875rem;
            margin-right: 0.25em;
        }

    .ResultArea h5 {
    }

    .ResultArea p {
        padding: 0.5rem;
        line-height: 1.25em;
    }

        .ResultArea p.borderLine {
            border: 1px solid #219089;
            margin: 4px;
            -webkit-border-radius: 10px;
            -moz-border-radius: 10px;
            border-radius: 10px;
        }

        .ResultArea p + p {
            padding-top: 1rem;
        }

        .ResultArea p i {
            margin-right: 0.5em;
        }


    .ResultArea table.DataTable {
        font-size: 0.875rem;
        width: calc(100% - 10px);
        margin: 0 auto;
    }

        .ResultArea table.DataTable tr:hover {
        }


            .ResultArea table.DataTable tr:hover th:after {
                content: "";
                font-family: 'Font Awesome 5 Free';
                font-weight: 900;
                font-size: 2em;
            }


        .ResultArea table.DataTable th, .ResultArea table.DataTable td {
            line-height: 1.5em;
            padding: 2px 4px;
        }

        .ResultArea table.DataTable th {
            font-weight: normal;
            color: #ffffff;
            background-color: #145b57;
            border-bottom: 1px solid #1a706b8f;
            border-radius: 6px;
            position: relative;
        }

            .ResultArea table.DataTable th:after {
                content: "";
                position: absolute;
                right: 2px;
                top: 3px;
                color: #9ad1cd;
            }

        .ResultArea table.DataTable td {
            color: #FFF;
            font-size: 1rem;
            padding-left: .5em;
            font-weight: bold;
        }

            .ResultArea table.DataTable td .Unit {
                font-size: 0.75rem;
                margin-left: 0.25rem;
            }

    .ResultArea .UnderBar {
        margin-top: 2px;
        text-align: right;
    }

        .ResultArea .UnderBar .btn {
            font-size: 0.875rem;
            padding: 2px 6px;
            color: #1A706B;
            border: 1px solid #43A7A1;
            -webkit-transition: all .35s ease-out;
            -moz-transition: all .35s ease-out;
            -o-transition: all .35s ease-out;
            transition: all .35s ease-out;
        }

            .ResultArea .UnderBar .btn:hover {
                background-color: #43A7A1;
                color: #FFF;
            }

    .ResultArea .MyChart {
    }
/*#endregion */
/* #上方工具列
================================================== */
/*#region TopTool */
.TopTool {
    position: absolute;
    top: 10px;
    left: 10px;
    min-width: 200px;
    /*max-width: 300px;*/
    height: 48px;
    vertical-align: middle;
    /*background-color: rgba(153, 56, 56, 0.51);*/
}


.ExtendSet {
}


/*#endregion */

/* #下方工具列
================================================== */
/*#region UnderTool */
.UnderTool {
    position: absolute;
    /* top: calc(100vh - 66px - 32px - 10px - 50px);*/
    top: calc(100vh - 32px - 10px - 50px);
    top: calc(var(--vh, 1vh) * 100 - 32px - 10px - 50px);
    left: 10px;
    width: 750px;
    min-height: 32px;
    /*background-color: rgba(143, 153, 56, 0.51);*/
    z-index: 600;
    -webkit-transition: all .35s ease-out;
    -moz-transition: all .35s ease-out;
    -o-transition: all .35s ease-out;
    transition: all .35s ease-out;
}

    .UnderTool.PretendLeave {
        left: -200%;
    }


@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    .UnderTool {
        top: calc(100vh - 66px - 32px - 10px - 50px - 22px);
        top: calc(var(--vh, 1vh) * 100 - 66px - 32px - 10px - 50px - 22px);
    }
}

.UnderTool section {
    margin-bottom: 1rem;
}

    .UnderTool section:last-child {
        margin-bottom: .5rem;
    }


/*.UnderTool .toggleCtr {
    position: absolute;
    left: -9999px;
}

.UnderTool .toggleCtrLabel {
    margin:0;
    cursor: pointer;
    user-select: none;
    font-size:1.5rem;
    margin-top: -2rem;
    display: block;
    margin-left: 10px;
}*/


@media only screen and (max-width: 47.9735em) {
    .UnderTool {
        top: calc(100vh - 66px - 32px - 10px - 50px - 10px);
        top: calc(var(--vh, 1vh) * 100 - 66px - 32px - 10px - 50px - 10px);
        width: calc(100% - 32px - 20px);
    }

        .UnderTool .ItemsSet {
            overflow-y: hidden;
            overflow-x: auto;
        }

        .UnderTool fieldset.QueryTool {
            height: 41px;
            white-space: nowrap;
            display: inline;
            vertical-align: top;
        }

            .UnderTool fieldset.QueryTool .Legend {
                margin-right: 0;
            }

                .UnderTool fieldset.QueryTool .Legend .Desc {
                    display: none;
                }

        .UnderTool .MyGroupControls.Round label {
            margin-bottom: 0px;
            margin-right: 2px;
        }

        .UnderTool section {
            margin-bottom: 10px;
        }

            .UnderTool section:last-child {
                margin-bottom: 0;
            }
}
/*#endregion */


/* #時間軸
================================================== */
/*#region gTimer */
.gTimer {
}

    .gTimer .Ctrl, .gTimer .inTimer, .gTimer .inTimerOutput {
        display: inline-block;
    }

    .gTimer .Ctrl {
        margin-right: .5rem;
    }

        .gTimer .Ctrl i {
            text-align: center;
            width: 2.5rem;
            height: 2.5rem;
            font-size: 1.25rem;
            line-height: 2.5rem;
            background-color: #1A706B;
            color: #FFF;
            -webkit-border-radius: 50%;
            -moz-border-radius: 50%;
            border-radius: 50%;
            cursor: pointer;
        }

            .gTimer .Ctrl i:hover {
                -webkit-box-shadow: 0 1px 4px 0 rgba(0,0,0,0.54);
                box-shadow: 0 1px 4px 0 rgba(0,0,0,0.54);
            }

            .gTimer .Ctrl i.Play {
                padding-left: 2px;
                width: calc( 2.5rem - 2px);
            }

    .gTimer .inTimerOutput {
        font-size: 1rem;
        font-weight: bold;
        background-color: rgba(255, 255, 255, 0.70);
        color: #1B6561;
        -webkit-border-radius: 10px;
        -moz-border-radius: 10px;
        border-radius: 10px;
        padding: 5px 1rem;
        margin-left: .5rem;
    }



/*#region inTimer */


input[type=range].inTimer {
    -webkit-appearance: none;
    margin: 8px 0;
    width: 400px;
    padding: 0;
}

    input[type=range].inTimer:focus {
        outline: none;
    }

    input[type=range].inTimer::-webkit-slider-runnable-track {
        width: 100%;
        height: 14px;
        transition: 0.2s;
        background-color: rgba(33, 144, 137, 0.50);
        -webkit-border-radius: 15px;
        -moz-border-radius: 15px;
        border-radius: 15px;
    }

    input[type=range].inTimer::-webkit-slider-thumb {
        -webkit-box-shadow: 0 1px 4px 0 rgba(0,0,0,0.54);
        box-shadow: 0 1px 4px 0 rgba(0,0,0,0.54);
        height: 2rem;
        width: 2rem;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
        background-color: #1A706B;
        cursor: pointer;
        margin-top: -10px;
        -webkit-appearance: none;
    }



    input[type=range].inTimer:focus::-webkit-slider-runnable-track {
        background-color: rgba(33, 144, 137, 0.70);
    }

    input[type=range].inTimer::-moz-range-track {
        width: 100%;
        height: 8px;
        transition: 0.2s;
        background-color: rgba(33, 144, 137, 0.70);
        -webkit-border-radius: 15px;
        -moz-border-radius: 15px;
        border-radius: 15px;
    }

    input[type=range].inTimer::-moz-range-thumb {
        box-shadow: 0 1px 4px 0 rgba(0,0,0,0.54);
        height: 2rem;
        width: 2rem;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
        background-color: #1A706B;
        cursor: pointer;
    }

    input[type=range].inTimer::-ms-track {
        width: 100%;
        height: 14px;
        cursor: pointer;
        transition: 0.2s;
        background: transparent;
        border-color: transparent;
        color: transparent;
        margin: 11px 0;
    }

    input[type=range].inTimer::-ms-fill-lower {
        background-color: #3aa39d;
        border: 0.2px solid #FFF;
        -webkit-border-radius: 7px;
        -moz-border-radius: 7px;
        border-radius: 7px;
    }

    input[type=range].inTimer::-ms-fill-upper {
        background: #c3eae8;
        border: 0.2px solid #FFF;
        -webkit-border-radius: 7px;
        -moz-border-radius: 7px;
        border-radius: 7px;
    }

    input[type=range].inTimer::-ms-thumb {
        height: 2rem;
        width: 2rem;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
        background: #1A706B;
        cursor: pointer;
        border: none;
        box-shadow: 0 1px 4px 0 rgba(0,0,0,0.54);
    }

    input[type=range].inTimer:focus::-ms-fill-lower {
        background: #1A706B;
    }

    input[type=range].inTimer:focus::-ms-fill-upper {
        background: #a9e7e4;
    }

    input[type=range].inTimer::-ms-tooltip {
        display: none;
    }
/*#endregion */

@media only screen and (max-width: 47.9735em) {
    input[type=range].inTimer {
        width: calc(100% - 32px - 20px - 10px - 40px);
    }

    .gTimer .inTimerOutput {
        margin-left: 0;
        margin-top: 5px;
        margin-bottom: 5px;
    }
}

/*#endregion */

/* #地圖資訊 圖例
================================================== */
/*#region .MapInfoArea */
.MapInfoArea {
    display: block;
    min-width: 6em;
    min-height: 2em;
    position: absolute;
    top: calc(0px + 10px);
    left: 0.25em;
    text-align: center;
    z-index: 600;
}
html.NGDark .MapInfoArea {
    /*用JS處理*/
}

.MapInfoArea h2 {
    font-size: 0.875rem;
    margin-bottom: 1px;
    color: #FFF;
    padding: 5px;
    max-width: calc(8em + 12px);
    background-color: #155d58;
    -webkit-border-top-left-radius: 10px;
    -webkit-border-top-right-radius: 10px;
    -moz-border-radius-topleft: 10px;
    -moz-border-radius-topright: 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

        .MapInfoArea h2 span {
            font-weight: bold;
        }

    .MapInfoArea .MapInfoCont {
        padding: .5rem;
        background-color: rgb(255 255 255 / 0.5);
        -webkit-border-bottom-right-radius: 10px;
        -webkit-border-bottom-left-radius: 10px;
        -moz-border-radius-bottomright: 10px;
        -moz-border-radius-bottomleft: 10px;
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 10px;
    }

    .MapInfoArea dl + dl {
        margin-top: 0.25rem;
    }

/*#region .MapInfo */
dl.MapInfo {
    padding: 0 0 0.35rem 0;
    border-bottom: 1px solid rgb(128 128 128 / 10%);
}

    dl.MapInfo dt, dl.MapInfo dd {
        display: inline-block;
    }

    dl.MapInfo dt {
        font-size: 0.75rem;
    }

    dl.MapInfo.outTimerOutput dt {
        font-size: 0rem;
    }

    dl.MapInfo.outTimerOutput dd {
        font-size: 1rem;
        font-weight: bold;
    }

    dl.MapInfo dd .Unit {
        font-size: 0.75rem;
        margin-left: 0.15em;
    }
/*#endregion */

.MapInfoArea dl.MapLegend {
    margin-top: 0.15rem;
}

/*#region .MapLegend */
dl.MapLegend {
    padding: 0.15rem;
}


    dl.MapLegend dt {
        font-weight: bold;
        margin-bottom: .25em;
    }

        dl.MapLegend dt .Unit {
            font-weight: normal;
            font-size: 0.6rem;
            margin-left: 0.15em;
        }

    dl.MapLegend dd {
        font-size: 0.60rem;
        line-height: 1.6em;
    }


/*#endregion */

.DataStatus {
    font-size: 0.75rem;
    margin-top: 0.5em;
    color: #11524e;
}

    .DataStatus i {
        font-size: 0.5rem;
        margin-left: 0.25em;
    }


@media only screen and (max-width: 47.9735em) {
    .MFHolder.MobileShow .MapInfoArea {
        position: relative;
        margin: 6px;
        top: 0;
        left: 0;
        background-color: rgb(255 255 255 / 0.25);
    }

    .MapInfoArea h2 {
        font-size: 0.75rem;
        max-width: calc(9em + 12px);
    }

    .MapInfoArea dl + dl {
        margin-top: 0.15rem;
    }

    dl.MapInfo dt {
        font-size: 0.75rem;
    }

    dl.MapInfo dd {
        font-size: 0.875em;
    }

        dl.MapInfo dd .Unit {
            font-size: 0.625rem;
        }

    dl.MapLegend {
        max-height: 300px;
        overflow-y: auto;
    }
}
/*#endregion */

/* # leaflet 設定、修正、客製化
================================================== */
/*#region leaflet */
/*#region leaflet_Fix */
.leaflet-container {
    font-family: "\5FAE\8EDF\6B63\9ED1\9AD4",Arial,"Helvetica Neue", Helvetica, sans-serif;
}

/*.leaflet-popup-tip-container {
    left: 0;
}*/
/*#endregion */

/*.leaflet-control-minimap a {
    z-index: 700;
}*/


/*#region leaflet-popup */
.leaflet-popup-pane {
    z-index: 10000 !important;
}

.leaflet-popup {
}

/*  popup 打叉換位置 */
.leaflet-container a.leaflet-popup-close-button {
    top: 0;
    right: auto;
    left: 0;
    font-size: 32px;
}

/*#region 自行定義 popup 樣式 */
.leaflet-popup h5 {
    font-size: 1.25rem;
    color: #1B6561;
    font-weight: bold;
    line-height: 1.5rem;
    margin-bottom: .5rem;
    padding-left: 8px;
}

    .leaflet-popup h5 i {
        color: #43A7A1;
    }

        .leaflet-popup h5 i.right {
            margin-left: 0.5em;
        }

.leaflet-popup table.DataTable {
    font-size: 0.875rem;
}

    .leaflet-popup table.DataTable .Part {
        display: inline-block;
    }

        .leaflet-popup table.DataTable .Part + .Part {
            margin-left: .3em;
        }

    .leaflet-popup table.DataTable tr:hover {
        background-color: #eff6f7;
    }

    .leaflet-popup table.DataTable th, .leaflet-popup table.DataTable td {
        line-height: 1.5em;
        padding: 2px 4px;
    }

    .leaflet-popup table.DataTable th {
        font-weight: normal;
        color: #555555;
    }

        .leaflet-popup table.DataTable th:before {
            content: "";
            margin-right: .3em;
            border-left: 3px solid #c9e0df;
        }

    .leaflet-popup table.DataTable td {
        color: #333333;
        font-size: 1rem;
        padding-left: .5em;
        font-weight: bold;
    }

        .leaflet-popup table.DataTable td.Title {
            font-size: 1.125rem;
            padding-left: .3em;
        }

            .leaflet-popup table.DataTable td.Title span:not(.Prefix) {
                font-weight: bold;
            }

            .leaflet-popup table.DataTable td.Title .Prefix {
                font-size: 0.75rem;
                font-weight: normal;
                margin-right: 0.3em;
            }

        .leaflet-popup table.DataTable td .Unit {
            font-size: 0.75rem;
            margin-left: 0.25rem;
        }

.leaflet-popup .MyChart {
    width: 250px;
    height: 300px;
    border: 1px #cccccc dashed;
    margin-top: 10px;
}

.leaflet-popup .UnderBar {
    margin-top: 2px;
    text-align: right;
}

    .leaflet-popup .UnderBar .btn {
        font-size: 0.875rem;
        padding: 2px 6px;
        color: #1A706B;
        border: 1px solid #43A7A1;
        -webkit-transition: all .35s ease-out;
        -moz-transition: all .35s ease-out;
        -o-transition: all .35s ease-out;
        transition: all .35s ease-out;
    }

        .leaflet-popup .UnderBar .btn:hover {
            background-color: #43A7A1;
            color: #FFF;
        }

@media only screen and (max-width: 29.9375em) {
    .leaflet-popup table.DataTable .Part + .Part {
        margin-left: 0em;
    }

    .leaflet-popup table.DataTable td.Title {
        font-size: 1rem;
    }
}
/*#endregion */

/*#region 客製  .Popup.Confirmed 確診人數 */

.Popup.Confirmed .leaflet-popup-content {
    margin: 13px 16px 6px 8px;
}

.Popup.Confirmed h5 .county {
    font-size: 1rem;
    margin-right: 0.25em;
}
/*#endregion */

/*#endregion */

/*#region leaflet-tooltip */
.leaflet-tooltip {
    font-size: 0.875rem;
    line-height: 1.25em;
    color: #333333;
}

    /*#region 自行定義 Tooltip 樣式 */
    .leaflet-tooltip .tipBox {
        line-height: 1em;
    }

.tipBox {
    background-color: #FFFFFF;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    display: flex;
}

    .tipBox .numBox {
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        border-radius: 3px;
        padding: 2px 3px;
    }

    .tipBox .areaBox {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .tipBox .county {
        font-size: 0.5rem;
        line-height: 1.25em;
    }

    .tipBox .town {
        font-size: 0.875rem;
        font-weight: bold;
    }

    .tipBox .numBox {
        font-weight: bold;
        margin: 0 0 0 2px;
    }

    .tipBox .diagnoses, .tipBox .ratio > .num {
        text-align: right;
    }

    .tipBox .ratio > .num {
        margin-left: 2px;
    }

    .tipBox .title {
        text-align: left;
    }

    .tipBox .diagnoses > .num {
        font-size: 1rem;
        margin-left: 2px;
    }

    .tipBox .ratio, .tipBox .unit {
        font-size: 0.375rem;
        -webkit-transform: scale(0.5);
        margin-left: 0.25em;
    }
/*#endregion */

/*#region  客製  .Tooltip.Confirmed 確診人數 */
.Tooltip.Confirmed {
    padding: 3px;
}
/*#endregion */

/*#endregion */

.leaflet-div-icon {
    font-size: 0.875rem;
    line-height: 1.25em;
    color: #FFF;
    background: rgba(0, 0, 0, 0.75);
    border: none;
}

/*#region leaflet-marker-icon */

/*#region mAir */
.leaflet-marker-icon.mAirL1 {
    border: 1px solid #5A5A5A;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

.leaflet-marker-icon.mAirL2, .leaflet-marker-icon.mAirL3 {
    border-width: 6px;
    border-style: solid;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

    .leaflet-marker-icon.mAirL2 div {
        font-size: 1rem;
        text-align: center;
        line-height: 3rem;
        color: #FFF;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.42);
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }


    .leaflet-marker-icon.mAirL3 div {
        font-size: 1rem;
        text-align: center;
        color: #FFF;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.42);
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }

        .leaflet-marker-icon.mAirL3 div dt, .leaflet-marker-icon.mAirL3 div dd {
            line-height: 1.5rem;
        }

        .leaflet-marker-icon.mAirL3 div dt {
            padding-top: .5rem;
        }

        .leaflet-marker-icon.mAirL3 div dd {
            font-size: 0.8125rem;
            padding-bottom: .5rem;
        }
/*#endregion */



/*#endregion */

/*#endregion */



/* #圖表 MyChart、Highcharts 設定、修正、客製化
================================================== */
.ResultArea .chartWrap {
    background-color: rgb(255 255 255 / 0.90);
    margin: 0.75rem 0.25rem;
}
/*#region MyChart*/
.ResultArea .MyChart {
    min-width: 180px;
    width: calc( 100% - 0rem);
    height: 380px;
}

/*#endregion */


.no-js .chartWrap .helper.mouse, .touch .chartWrap .helper.mouse {
    display: none;
}

.chartWrap .helper {
    text-align: left;
    margin-top: 0.5em;
    font-size: 0.875rem;
    color: #515151;
    line-height: 1.5em;
}

    .chartWrap .helper i {
        margin-right: 0.5em;
    }


.chartWrap .chartInfo {
    width: 0;
    height: 0;
    overflow: hidden;
}


.highcharts-fullscreenbutton {
    font-size: 1rem;
    width: 32px;
    height: 32px;
    /* font-family: 'Font Awesome 5 Free','Arial';*/
}

    .highcharts-fullscreenbutton text {
        font-weight: bold !important;
        fill: #176560 !important;
    }

.highcharts-tooltip-container {
    z-index: 10000 !important;
}

.highcharts-tooltip > span {
    color: #FFF !important;
    background: rgb(0 0 0 / 85%);
    border: 1px solid #FFF;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #818181;
    padding: 8px;
    /*width: 200px !important;*/
}

.highcharts-tooltip .Title {
    font-size: 1rem;
    font-weight: bold;
    line-height: 1.75em;
    display: inline-block
}

.highcharts-tooltip .TipRow {
    font-size: 0.875rem !important;
    line-height: 1.25em;
    display: block;
}

    .highcharts-tooltip .TipRow dt, .highcharts-tooltip .TipRow dd {
        font-size: 0.75rem;
        display: inline;
    }

    .highcharts-tooltip .TipRow dd {
        font-size: 1rem;
    }

.highcharts-tooltip .Unit {
    margin-left: 0.5em;
    color: #666;
    font-size: 0.75rem;
}

.my-div-icon {
    font-size: 16px;
    font-weight: bold;
    color: white;
    text-shadow: 0 0 0.2em black, 0 0 0.2em black;
}
